Subject: Re: REGRESSION: On 2.6.32-rc5 the firmware hangs, and the nic is unusable.

From: Dhananjay Phadke <[email-masked]>
Date: Wed, 4 Nov 2009 11:15:18 -0800

Eric W. Biederman wrote:
> On 2.6.31.5 I get:
> ethtool -i eth0
> driver: netxen_nic
> version: 4.0.30
> firmware-version: 4.0.305
> bus-info: 0000:06:00.0
> 

Agree, 2.6.31 window missed bonding (mac addr setup) fixes.

> And everything works except bonding.
> 
> On 2.6.32-rc5 I dhcp I get an IP
> there is a sanity test ping.

> 
> Then the driver reports a firmware hang and
> the interface goes down and I am dead in the water.
> 

> I'm a bit frustrated with this as it seems with each kernel release
> the driver gets a little bit less usable.
> 
> Have I given you enough information to track this down?

This can be fixed in next rc patch of 2.6.32, if I get enough info to debug.

Could you provide full dmesg, so that I can see what's going on around 
firmware hang message? Also provide your test details (bonding / 
whatever configured).

Thanks,
-Dhananjay